
QGIS Application - Bug report #12388

Labels are not shown in entire extent if map is rotated

2015-03-17 02:59 AM - Jochen Huber

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20562

Description

We have a situation where a group of point features is oriented north-south and the map is rotated to fit in a narrow panorama-format

layout.

Labels are only drawn in the central part of the map, not in the rightmost and leftmost parts.

I suspect that the extent for which labels are drawn is calculated before the rotation, so that anything that would not be visible in the map

if no rotation was applied is not being labeled even if it is visible in the rotated map.

An example is attached - move the map extent to the left and right in print composer to see the effect (labels vanishing and reappearing

near the borders).

Maybe this is somehow related to other issues with labelling and rotation (see ticket #12025).

Associated revisions

Revision 5462e402 - 2015-06-01 11:04 PM - Nyall Dawson

Fix missing labels when map is rotated (fix #12388)

History

#1 - 2015-03-17 04:04 AM - Giovanni Manghi

- Affected QGIS version changed from 2.8.1 to master

- Operating System deleted (Windows)

- OS version deleted (7 Prof.)

There now a number of issues related to labelling and map rotation, not sure where the source of the problems is.

#2 - 2015-03-17 04:56 AM - Sandro Santilli

- Tag set to rotation

Please make sure to add the "rotation" tag to all these bugs. It will help to find duplicates.

#3 - 2015-03-19 11:46 AM - Mike Taves

- Target version set to Version 2.8.2

See more info and images showing the behavior in #12403
#4 - 2015-05-14 03:02 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Version 2.10

#5 - 2015-06-01 02:08 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"5462e4029e6001088c696dc9ceeaf2cc42264ce4".

Files

Example.zip 6.91 KB 2015-03-17 Jochen Huber
